﻿@model IEnumerable<Factoring.Web.Funcionalidad.Empresa.EmpresaViewModel>

@{
    ViewBag.Title = "Lista";
}

<h2>Lista</h2>

<p>
    @Html.ActionLink("Crea Empresa", "Agrega", "Empresa", new { Usuario = ViewBag.Usuario }, new { })
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Ruc)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.RazonSocial)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Direccion)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Departamento)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Provincia)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Distrito)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Rubro)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Usuario)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Ruc)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.RazonSocial)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Direccion)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Departamento)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Provincia)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Distrito)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Rubro)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Usuario)
        </td>
        <td>
            <div class="btn-group">
                <button class="btn dropdown-toggle btn-xs" data-toggle="dropdown">
                    <span>
                        <i class="glyphicon glyphicon-cog"></i>
                        <span class="caret"></span>
                    </span>
                </button>
                <ul class="dropdown-menu">
                    <li>
                        @Html.ActionLink("Editar", "Edita", "Empresa", new { id = item.Id }, new { })
                    </li>
                    <li>
                        @Html.ActionLink("Ver", "Ver", "Empresa", new { id = item.Id }, new { })
                    </li>
                    <li>
                        @Html.ActionLink("Eliminar", "Elimina", "Empresa", new { id = item.Id }, new { })
                    </li>
                    <li>
                        @Html.ActionLink("Facturas", "Lista", "Factura", new { Empresaid = item.Id }, new { })
                    </li>
                    <li>
                        @Html.ActionLink("Crear Factura", "Agrega", "Factura", new { EmpresaId = item.Id }, new { })
                    </li>
                </ul>
            </div>            
            
        </td>
    </tr>
}

</table>
